diff --git a/readme b/readme
index b9c3c20..c8f1a1c 100644
--- a/readme
+++ b/readme
@@ -215,9 +215,10 @@ at the axiom command prompt will prettyprint the list.
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Tony Kennedy"
 "Paul Kosinski          Klaus Kusche           Bernhard Kutzler"
-"Larry Lambe            Franz Lehner           Frederic Lehobey"
-"Michel Levaud          Howard Levy            Liu Xiaojun"
-"Rudiger Loos           Michael Lucks          Richard Luczak"
+"Tim Lahey              Larry Lambe            Franz Lehner"
+"Frederic Lehobey       Michel Levaud          Howard Levy"
+"Liu Xiaojun            Rudiger Loos           Michael Lucks"
+"Richard Luczak"
 "Camm Maguire           Francois Maltey        Alasdair McAndrew"
 "Bob McElrath           Michael McGettrick     Ian Meikle"
 "David Mentre           Victor S. Miller       Gerard Milmeister"
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6b6b24c..1891268 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -781,8 +781,10 @@ bookvol10.3 add domains<br/>
 website update screenshots<br/>
 <a href="patches/20081204.02.tpd.patch">20081204.02.tpd.patch</a>
 clean up input regression files<br/>
-<a href="patches/20081204.02.tpd.patch">20081204.02.tpd.patch</a>
+<a href="patches/20081205.01.tpd.patch">20081205.01.tpd.patch</a>
 bug 7161: integer.spad remove signature change<br/>
+<a href="patches/20081205.02.tpd.patch">20081205.02.tpd.patch</a>
+schaum17 fix 14.355, 14.356<br/>
 
  </body>
 </html>
\ No newline at end of file
diff --git a/src/input/schaum17.input.pamphlet b/src/input/schaum17.input.pamphlet
index d9d7ac1..6c5e67c 100644
--- a/src/input/schaum17.input.pamphlet
+++ b/src/input/schaum17.input.pamphlet
@@ -688,13 +688,21 @@ $$
 )clear all
 
 --S 52 of 136
-aa:=integrate(x/(1-sin(ax)),x)
---R 
+aa:=integrate(x/(1-sin(a*x)),x)
 --R
---R                2
---R               x
---R   (1)  - ------------
---R          2sin(ax) - 2
+--R   (1)
+--R                                      sin(a x) - cos(a x) - 1
+--R       (2sin(a x) - 2cos(a x) - 2)log(-----------------------)
+--R                                            cos(a x) + 1
+--R     + 
+--R                                            2
+--R       (- sin(a x) + cos(a x) + 1)log(------------) - a x sin(a x)
+--R                                      cos(a x) + 1
+--R     + 
+--R       - a x cos(a x) - a x
+--R  /
+--R      2            2            2
+--R     a sin(a x) - a cos(a x) - a
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
@@ -714,16 +722,26 @@ bb:=x/a*tan(%pi/4+(a*x)/2)+2/a^2*log(sin(%pi/4-(a*x)/2))
 cc:=aa-bb
 --R
 --R   (3)
---R                                 2a x - %pi
---R       (- 4sin(ax) + 4)log(- sin(----------))
---R                                      4
+--R                                      sin(a x) - cos(a x) - 1
+--R       (2sin(a x) - 2cos(a x) - 2)log(-----------------------)
+--R                                            cos(a x) + 1
 --R     + 
---R                                  2a x + %pi     2 2
---R       (- 2a x sin(ax) + 2a x)tan(----------) - a x
---R                                       4
+--R                                            2
+--R       (- sin(a x) + cos(a x) + 1)log(------------)
+--R                                      cos(a x) + 1
+--R     + 
+--R                                              2a x - %pi
+--R       (- 2sin(a x) + 2cos(a x) + 2)log(- sin(----------))
+--R                                                   4
+--R     + 
+--R                                                2a x + %pi
+--R       (- a x sin(a x) + a x cos(a x) + a x)tan(----------) - a x sin(a x)
+--R                                                     4
+--R     + 
+--R       - a x cos(a x) - a x
 --R  /
---R       2            2
---R     2a sin(ax) - 2a
+--R      2            2            2
+--R     a sin(a x) - a cos(a x) - a
 --R                                                     Type: Expression Integer
 --E
 @
@@ -737,12 +755,11 @@ $$
 )clear all
 
 --S 55 of 136
-aa:=integrate(1/(1+sin(ax)),x)
---R 
+aa:=integrate(1/(1+sin(a*x)),x)
 --R
---R             x
---R   (1)  -----------
---R        sin(ax) + 1
+--R              - 2cos(a x) - 2
+--R   (1)  ---------------------------
+--R        a sin(a x) + a cos(a x) + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
@@ -760,11 +777,12 @@ bb:=-1/a*tan(%pi/4-(a*x)/2)
 --S 57 of 136
 cc:=aa-bb
 --R
---R                           2a x - %pi
---R        (- sin(ax) - 1)tan(----------) + a x
---R                                4
---R   (3)  ------------------------------------
---R                    a sin(ax) + a
+--R
+--R                                       2a x - %pi
+--R        (- sin(a x) - cos(a x) - 1)tan(----------) - 2cos(a x) - 2
+--R                                            4
+--R   (3)  ----------------------------------------------------------
+--R                        a sin(a x) + a cos(a x) + a
 --R                                                     Type: Expression Integer
 --E
 
@@ -780,9 +798,9 @@ tanrule:=rule(tan(a/b) == sin(a)/cos(b))
 --S 59 of 136     14:356 Axiom cannot simplify this expression
 dd:=tanrule cc
 --R
---R        (- sin(ax) - 1)sin(2a x - %pi) + a x cos(4)
---R   (5)  -------------------------------------------
---R                 a cos(4)sin(ax) + a cos(4)
+--R        (- sin(a x) - cos(a x) - 1)sin(2a x - %pi) - 2cos(4)cos(a x) - 2cos(4)
+--R   (5)  ----------------------------------------------------------------------
+--R                    a cos(4)sin(a x) + a cos(4)cos(a x) + a cos(4)
 --R                                                     Type: Expression Integer
 --E
 @
diff --git a/src/interp/setq.lisp.pamphlet b/src/interp/setq.lisp.pamphlet
index 4073795..f395d21 100644
--- a/src/interp/setq.lisp.pamphlet
+++ b/src/interp/setq.lisp.pamphlet
@@ -626,9 +626,10 @@
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Tony Kennedy"
 "Paul Kosinski          Klaus Kusche           Bernhard Kutzler"
-"Larry Lambe            Franz Lehner           Frederic Lehobey"
-"Michel Levaud          Howard Levy            Liu Xiaojun"
-"Rudiger Loos           Michael Lucks          Richard Luczak"
+"Tim Lahey              Larry Lambe            Franz Lehner"
+"Frederic Lehobey       Michel Levaud          Howard Levy"
+"Liu Xiaojun            Rudiger Loos           Michael Lucks"
+"Richard Luczak"
 "Camm Maguire           Francois Maltey        Alasdair McAndrew"
 "Bob McElrath           Michael McGettrick     Ian Meikle"
 "David Mentre           Victor S. Miller       Gerard Milmeister"
